ReflectionClass::isIterateable
ReflectionClass::isTrait
ReflectionClass
PHP Manual

# ReflectionClass::isSubclassOf

(PHP 5)

ReflectionClass::isSubclassOf — Checks if a subclass

### Description

public bool ReflectionClass::isSubclassOf ( string `$class` )

Checks if the class is a subclass of a specified class or implements a specified interface.

### Parameters

`class`

  The class name being checked against.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ReflectionClass::isInterface() - Checks if the class is an interface
- ReflectionClass::implementsInterface() - Implements interface
- is_subclass_of() - Checks if the object has this class as one of its parents
- get_parent_class() - Retrieves the parent class name for object or class

ReflectionClass::isIterateable
ReflectionClass::isTrait
ReflectionClass
PHP Manual